<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
    <meta name="mobile-web-app-capable" content="yes"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta http-equiv="Content-Security-Policy" content="default-src 'self'; img-src 'self' data:; style-src 'self' 'unsafe-inline'; script-src 'self' 'unsafe-inline' 'unsafe-eval';"/>
    <link rel="icon" href="data:;base64,iVBORw0KGgo=">
    <title>AMap</title>
    <?php
        $http_host = $_SERVER["HTTP_HOST"];
        $site = $_GET["site"];
        $host = "https://".$http_host."/amap/";

        $dum = time();
        echo '<link href="'.$host.'css/amap.css?dum='.$dum.'" rel="stylesheet">';

        $style = isset($_GET["style"]) ? $_GET["style"] : $site;
        $file = "assets/client/".$style."/override.css";
        if(file_exists($file)) {
            echo '<link href="'.$host.$file.'?dum='.$dum.'" rel="stylesheet">';
        }

        echo '<script type="text/javascript" src="'.$host.'js/amap.min.js?dum='.$dum.'"></script>';
    ?>
</head>

<body style="overflow:hidden;width:100vw;height:100vh;margin:0;font-family:Verdana,sans-serif;font-size:13px;">
<div id="__embed__loadingPanel" style="width:100%;height:100%;">
    <div id="loadingWrapper" style="width: 100%; height: 100%; text-align: center; padding-top: 100px; background-color: #ffffff;">
        <img src="css/loading.gif" alt="" style="max-width:250px; max-height: 200px;">
    </div>
</div>
<div id="amap"></div>
<div id="lazyLoading" style="display: none;"><img src="css/loading.gif" alt=""></div>
<div id="searchMenu" class="autocomplete" style="display: none;">
    <input id="searchMenuInput" autocomplete="off" type="search" placeholder="Search...">
</div>
<div id="poiPinPoint" style="display: none;">
    <div id="poiPinPointContent"></div>
</div>
<div id="mapToolbars">
    <div id="compass"><img src="css/north.png" alt=""></div>
    <div class="ui-toolbar" id="zonesMenu"></div>
    <div class="ui-toolbar" id="zoomMenu">
        <button id="zoomMore" type="button" class="zoombtn">+</button>
        <button id="zoomReset" type="button" class="zoombtn"><img src="css/reset_map.png" alt=""></button>
        <button id="zoomLess" type="button" class="zoombtn">-</button>
    </div>
</div>
<div id="zoneTransition" style="display: none;"></div>
<script>
    amEmbedInit("amap");
</script>
</body>
</html>
